You are not logged in.

#1 2004-11-05 09:07:00

cactus
Taco Eater
From: t͈̫̹ͨa͖͕͎̱͈ͨ͆ć̥̖̝o̫̫̼s͈̭̱̞͍̃!̰
Registered: 2004-05-25
Posts: 4,615
Website

php

why is openldap being installed with php5 as a dependency?
this is not just the libs, but slapd and the whole 9 yards.

Is there are reason for this?

I just did an install from the .7 beta 2 iso, and did an Syu afterwards.
then started installing some packages.
installed php, got php5, and openldap was installed as a dependency.

??

pacman -Si php
Name              : php
Version           : 5.0.2-2
Groups            : None
Provides          : None
Depends On        : curl freetype2 gdbm libjpeg libpng libxml2 ncurses openldap
                    openssl pam
Conflicts With    : None
Replaces          : None
Size (compressed) : 3317760
Description       : A high-level scripting language
MD5 Sum           : 81225361d9a25d64a7d4c8791805fcbd


"Be conservative in what you send; be liberal in what you accept." -- Postel's Law
"tacos" -- Cactus' Law
"t̥͍͎̪̪͗a̴̻̩͈͚ͨc̠o̩̙͈ͫͅs͙͎̙͊ ͔͇̫̜t͎̳̀a̜̞̗ͩc̗͍͚o̲̯̿s̖̣̤̙͌ ̖̜̈ț̰̫͓ạ̪͖̳c̲͎͕̰̯̃̈o͉ͅs̪ͪ ̜̻̖̜͕" -- -̖͚̫̙̓-̺̠͇ͤ̃ ̜̪̜ͯZ͔̗̭̞ͪA̝͈̙͖̩L͉̠̺͓G̙̞̦͖O̳̗͍

Offline

#2 2004-11-08 05:07:41

cactus
Taco Eater
From: t͈̫̹ͨa͖͕͎̱͈ͨ͆ć̥̖̝o̫̫̼s͈̭̱̞͍̃!̰
Registered: 2004-05-25
Posts: 4,615
Website

Re: php

looking in the abs pkgbuild...

depends=('openssl' 'libjpeg' 'freetype2' 'libpng' 'pam' 
         'gdbm' 'libxml2' 'openldap' 'ncurses' 'curl')
makedepends=('apache' 'mysql' 'imap' 'postgresql' 'bzip2' 'smtp-server' 
             'gd' 'fam' 'sqlite3' 'unixodbc')

php doesn't need openldap to run. unless you have the openldap libs, not the server maybe..
i think it should probably go into makedepends instead of just depends.
can the same be said for freetype2, pam, and maybe ncurses?

anyone?

depends=('openssl' 'libjpeg' 'libpng' 'gdbm' 'libxml2' 'curl')
makedepends=('apache' 'mysql' 'imap' 'postgresql' 'bzip2' 'smtp-server' 
             'gd' 'fam' 'openldap' 'sqlite3' 'unixodbc' 'ncurses' 'freetype2' 'pam')

"Be conservative in what you send; be liberal in what you accept." -- Postel's Law
"tacos" -- Cactus' Law
"t̥͍͎̪̪͗a̴̻̩͈͚ͨc̠o̩̙͈ͫͅs͙͎̙͊ ͔͇̫̜t͎̳̀a̜̞̗ͩc̗͍͚o̲̯̿s̖̣̤̙͌ ̖̜̈ț̰̫͓ạ̪͖̳c̲͎͕̰̯̃̈o͉ͅs̪ͪ ̜̻̖̜͕" -- -̖͚̫̙̓-̺̠͇ͤ̃ ̜̪̜ͯZ͔̗̭̞ͪA̝͈̙͖̩L͉̠̺͓G̙̞̦͖O̳̗͍

Offline

#3 2004-11-09 08:14:06

cactus
Taco Eater
From: t͈̫̹ͨa͖͕͎̱͈ͨ͆ć̥̖̝o̫̫̼s͈̭̱̞͍̃!̰
Registered: 2004-05-25
Posts: 4,615
Website

Re: php

w00t! abs rocks!
I setup a vmware instance with arch in it, with a ton of packages installed for dependencies and such.
then I recompiled php changing the options to get rid of the dependencies I didn't want on my webserver.
copied the package over, pacman -A 'ed it, and woila!

hopefully nothing explodes, but barring that.
w00t!


"Be conservative in what you send; be liberal in what you accept." -- Postel's Law
"tacos" -- Cactus' Law
"t̥͍͎̪̪͗a̴̻̩͈͚ͨc̠o̩̙͈ͫͅs͙͎̙͊ ͔͇̫̜t͎̳̀a̜̞̗ͩc̗͍͚o̲̯̿s̖̣̤̙͌ ̖̜̈ț̰̫͓ạ̪͖̳c̲͎͕̰̯̃̈o͉ͅs̪ͪ ̜̻̖̜͕" -- -̖͚̫̙̓-̺̠͇ͤ̃ ̜̪̜ͯZ͔̗̭̞ͪA̝͈̙͖̩L͉̠̺͓G̙̞̦͖O̳̗͍

Offline

Board footer

Powered by FluxBB